Skip to main content
GET
/
v1
/
issuing
/
cards
/
{id}
/
secure
Retrieve Sensitive Card Details
curl --request GET \
  --url https://api-sandbox.uqpaytech.com/api/v1/issuing/cards/{id}/secure \
  --header 'x-auth-token: <api-key>'
{
  "cvv": "268",
  "expire_date": "08/27",
  "card_number": "4937240100009999"
}

Documentation Index

Fetch the complete documentation index at: https://developers-sandbox.uqpaytech.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-auth-token
string
header
required

The API token for login provided by UQPay.

Headers

x-on-behalf-of
string

Specifies the sub-account on whose behalf the request is made. This should be set to the account_id, which can be retrieved via the List Connected Accounts endpoint. If omitted or empty, the request is executed using the master account. More information at Connected Accounts.

Path Parameters

id
string<uuid>
required

Universally unique identifier (UUID v4) of a resource.

Example:

"71fdb0fe-9682-457a-9361-e8868694f12f"

Response

200 - application/json

OK - Successfully retrieved a card.

cvv
string
required

Card Verification Value, 3-digit CVV for the card.

Example:

"268"

expire_date
string
required

The expiry date of the card in MM/YY format.

Example:

"08/27"

card_number
string
required

Primary Account Number, 16 digit card number

Example:

"4937240100009999"